Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.config.constructionheuristic.placer.value
Class ValuePlacerConfig

    java.lang.Object
      org.optaplanner.core.config.constructionheuristic.placer.PlacerConfig
          org.optaplanner.core.config.constructionheuristic.placer.value.ValuePlacerConfig

    public class ValuePlacerConfig

extends PlacerConfig

Field Summary
`protected Integer` | `selectedCountLimit`
`protected ValueSelectorConfig` | `valueSelectorConfig`

Constructor Summary
`ValuePlacerConfig()`

Method Summary
`ValuePlacer` | `buildValuePlacer(EnvironmentMode environmentMode, SolutionDescriptor solutionDescriptor, Termination phaseTermination, PlanningEntityDescriptor entityDescriptor)`
`Integer` | `getSelectedCountLimit()`
`ValueSelectorConfig` | `getValueSelectorConfig()`
`void` | `inherit(ValuePlacerConfig inheritedConfig)`
`void` | `setSelectedCountLimit(Integer selectedCountLimit)`
`void` | `setValueSelectorConfig(ValueSelectorConfig valueSelectorConfig)`
`String` | `toString()`

Methods inherited from class org.optaplanner.core.config.constructionheuristic.placer.PlacerConfig
`inherit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### valueSelectorConfig

    protected ValueSelectorConfig valueSelectorConfig

### selectedCountLimit

    protected Integer selectedCountLimit

Constructor Detail

### ValuePlacerConfig

    public ValuePlacerConfig()

Method Detail

### getValueSelectorConfig

    public ValueSelectorConfig getValueSelectorConfig()

### setValueSelectorConfig

    public void setValueSelectorConfig(ValueSelectorConfig valueSelectorConfig)

### getSelectedCountLimit

    public Integer getSelectedCountLimit()

### setSelectedCountLimit

    public void setSelectedCountLimit(Integer selectedCountLimit)

### buildValuePlacer

    public ValuePlacer buildValuePlacer(EnvironmentMode environmentMode,
                                        SolutionDescriptor solutionDescriptor,
                                        Termination phaseTermination,
                                        PlanningEntityDescriptor entityDescriptor)

### inherit

    public void inherit(ValuePlacerConfig inheritedConfig)

### toString

    public String toString()

  Overrides:
    `toString` in class `PlacerConfig`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.